•   
  • 1
  • 164
  • 165
  • 166(current)
  • 167
  • 168
  • 315
  •   
  Thread Closed
Release [depricated] old YouTube Plugin - XBMC 13.0 Frodo/Gotham only
(2012-10-26, 06:21)djfourmoney Wrote: it seems Google has changed something again.

concur. Good luck fixing & thanks in advance Smile
(2012-10-26, 21:06)NoMad28 Wrote: This Error is still persistent in 3.2.0, the version published in XBMCs plugin repo:
http://forum.xbmc.org/showthread.php?tid...pid1184075

Now @ Line 769 in YouTubeCore.py
All searches failed (also My Watchlist etc), after changing this line, no more problems. Why isn't it fixed yet?

Ahh, forgot all about that fix. That did the trick for me. thanks a bunch!

I have changed the line as discussed above. Yet, I still have problems in playing some 4oD programmes from the archive: for example I can play Hollyoaks, but if I try to play Fresh Meat or Friday Night Dinner it does not work (plugin error).

This is the tail of our xbmc.log

http://paste.ubuntu.com/1310473/

And this is the error part of the xbmc.log whe you try to play Friday Night Dinner

http://paste.ubuntu.com/1310755/

Any clue?
What do you think to allow user set custom lang manually for subtitle in a new field option since you don't want to add more languages to default list?
I wish to have Rotten Tomatoes (user+critics) + IMDB both ratings display in skin.
it stopped working, whenever i try to acces subscriptions or any other button i get "no results" error. 8 hours ago it worked just fine.
seems like im the only one with this issue... X(

edit: okey i get a "Http/1.1 Service Unavailable" error when i try login in with chrome, and on ie i get that error when trying to access the watch later playlist, so its something on my side.

edit2: it works again
It's youtube. Cause I get the same error with the Plugin and the Http/1.1 Service Unavailable messages.
(2012-10-01, 18:10)el_Paraguayo Wrote:
(2012-09-29, 18:37)johngalt007 Wrote: I had Dharma XBMCUbunut and a few days ago I noticed that the youtube plug in stopped working (could not extract url error). So, I updated it to Eden XBMCUbuntu from Live CD and the youtube add on still does not work. I have automatic updates enabled and when I go to youtube add on from the Settings, I see that it is at version 2.1.4. I uninstalled it and reinstalled. It is still at 2.1.4. How do I get version 3.2.0? The update button in the addon is disabled.

I also tried installing the patch provided by a kind member here after this plugin broke and they report dependency errors.

Exactly the same problem here with same error message.

On Dharma - stuck at version 2.1.4.

Hi guys,

I just registered because I also have this problem. I'm on Eden. The addon can't be updated and is stuck on 2.1.4. Does anyone know how to solve this?

Thanks

Edit: Ok what the hell... After months of not working, all of a sudden the YouTube addon updated itself a couple of minutes ago. I'm now on 3.2.0. However, I now get the "script failed" error. I'll look into it later. Weird Smile
Hey guys,

i have a weird problem with the plugin.
When i try to watch things from my favorites or the playlists, only a small part of the real lists are shown.
At first i thought it was because some entries are only watchable with a proxy, damn the german Mafia, alias GEZ and GEMA for that, but then i saw that there are also entries missing that are watchable from everywhere.

I set the plugin on debug, but i see no errors when i open the either Favorites or Playlists.

I also noticed that many things i watched on youtube are missing, but things i watch multiple times in a row (musicvideos) apear multiple times in the history.

Any idea what the problem could be?
I was able to get videos playing again by changing "Max video quality" in the Settings to "Ask". If I use any other setting (1080p, 720p, etc.), the video simply doesn't play. But now I have to go through an extra menu every time I want to play a video, which is less than ideal.
(2012-10-26, 23:23)ynksbsbll2 Wrote:
(2012-10-26, 21:06)NoMad28 Wrote: This Error is still persistent in 3.2.0, the version published in XBMCs plugin repo:
http://forum.xbmc.org/showthread.php?tid...pid1184075

Now @ Line 769 in YouTubeCore.py
All searches failed (also My Watchlist etc), after changing this line, no more problems. Why isn't it fixed yet?

Ahh, forgot all about that fix. That did the trick for me. thanks a bunch!

This worked for me as well. Thanks!

So to summarize: first XBMC wouldn't update to version 3.2. It only showed version 2.1.4 as the newest. Then only minutes after my first post about this XBMC updated all my apps, including the YouTube app to 3.2. This version gave me "script error"s, which were fixed by replacing that line 769 of YouTubeCore.py.

Smile
If you Youtube 3.2.0 plugin is erroring out with a plugin failed error, check your XBMC log.

If you find this error:
Code:
\YouTubeCore.py", line 769, in getYTCache
                                                if res[i]:
                                            IndexError: string index out of range
23:10:38 T:2212   ERROR: XFILE::CDirectory::GetDirectory - Error getting plugin://plugin.video.youtube/? plugin


Then you need to fix line 769 in YouTubeCore.py (addons/plugin.video.youtube/YouTubeCore.py):

Old:
Code:
if res[i]:

New:
Code:
if (len(res) > i) and res[i]:

How to fix it.

  1. Turn on debug. Close XBMC. Open XBMC. Try to use the Youtube video addon.
  2. Browse to C:\Users\Your Name\AppData\Roaming\XBMC\xbmc.log, and look for the above error.
  3. If there, then use EditPlus to find line 769 in C:\\\Users\YourName\AppData\Roaming\XBMC\addons\plugin.video.youtube\YouTubeCore.py and change as shown above. Save the YouTubeCore.py file. Open XBMC and try it out.

(Found this after reading 10 pages of posts, and had to put it together, so hopefully help someone else here....
Image
Image
Image
Hi

http://code.google.com/p/youtubexbmc/iss...d=52&can=1

Thanks for the response, but this doesn't address the real problem. RTMPe is supported by librtmp/rtmpdump 2.4, and type 10s are supported unofficially in rtmpdump 2.5, so this should work.

The problem is that from Demand5, the URL that is being handed to the player in this plugin is missing the "rtmp://...." string, and is therefore incorrect.

Could you please re-open to take a look at this part of the problem.

Thanks
Question 
I just installed youtube plugin on the most stable version of XBMC and in my house everything goes through a squid proxy for safety.

I have tried the following three cases:
1. Without squid the youtube video works in XBMC
2. With squid the youtube video does not work in XBMC
3. If I copy and paste the url from the log into a browser going through squid it works as well

XBMC with Squid and youtube does not work and I am trying to figure out why as the urls are valid: here is my log

Any help appreciated.
weird: i updated to frodo beta1, and now "my subscriptions" (most important for me) won't work (script failed), everything else works fine :-?
(2012-11-16, 15:51)VelvetKevorkian Wrote: weird: i updated to frodo beta1, and now "my subscriptions" (most important for me) won't work (script failed), everything else works fine :-?

I have the same problem, but in my case the search function doesn't work as well. It doesn't error out, but when I click on "search" it opens search subfolder with only ".." there, no "search" link.

Here's my log: http://xbmclogs.com/show.php?id=14660

Also worth mentioning: I had to switch on "debug" option in youtube plugin to be able to login using google two-step authentification, otherwise the window asking for code wouldn't pop up.

I'm on Ubuntu 12.04 32-bit, XBMC version 2:11.9.7~git201211131826~37e8e4e-1~ppa1~precise.
  •   
  • 1
  • 164
  • 165
  • 166(current)
  • 167
  • 168
  • 315
  •   
  Thread Closed
 
Thread Rating:
  • 28 Vote(s) - 4.14 Average



Logout Mark Read Team Forum Stats Members Help
[depricated] old YouTube Plugin - XBMC 13.0 Frodo/Gotham only4.1428